Update Renewal Status: Funnel
https://api.propexo.com/crm/v1/renewal-status/funnelAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the prospect
The Propexo unique identifier for the listing
Whether or not to show the renewal card
The body text of the renewal
Whether or not to show the an alert for the renewal
The body text of the alert
The type of the renewal alert
Show 2 enum values
WARNINGINFOWhether or not to allow click-through by the prospect to the renewal
The text of the renewal header
The text of the renewal sub-header
The type of icon to use for the renewal alert. Funnel documents these
Show 11 enum values
SIGNRENEWINFOFEEDAUTOPAYTRANSFERRESERVATIONMESSAGEGUEST_ACCESSCALENDARCHECKLISTResponse
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the prospect
The Propexo unique identifier for the listing
Whether or not to show the renewal card
The body text of the renewal
Whether or not to show the an alert for the renewal
The body text of the alert
The type of the renewal alert
Show 2 enum values
WARNINGINFOWhether or not to allow click-through by the prospect to the renewal
The text of the renewal header
The text of the renewal sub-header
The type of icon to use for the renewal alert. Funnel documents these
Show 11 enum values
SIGNRENEWINFOFEEDAUTOPAYTRANSFERRESERVATIONMESSAGEGUEST_ACCESSCALENDARCHECKLISTErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/crm/v1/renewal-status/funnel \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"listing_id": "string",
"show_renewal_card": true,
"body_text": "string",
"show_alert": true,
"alert_body_text": "string",
"alert_type": "WARNING",
"allow_clickthrough": true,
"header_text": "string",
"subheader_text": "string",
"icon_type": "SIGN"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"listing_id": "string",
"show_renewal_card": true,
"body_text": "string",
"show_alert": true,
"alert_body_text": "string",
"alert_type": "WARNING",
"allow_clickthrough": true,
"header_text": "string",
"subheader_text": "string",
"icon_type": "SIGN"
}
}